wayland::server::zwp_relative_pointer_manager_v1_t(3)

NAME
wayland::server::zwp_relative_pointer_manager_v1_t - get relative pointer objects

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

Inherits wayland::server::resource_t.

  Public Member Functions

std::function< void()> & on_destroy ()
destroy the relative pointer manager object
std::function< void(zwp_relative_pointer_v1_t, pointer_t)> & on_get_relative_pointer ()
get a relative pointer object
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

Detailed Description

get relative pointer objects

A global interface used for getting the relative pointer object for a given pointer.

Definition at line 3838 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void()> & zwp_relative_pointer_manager_v1_t::on_destroy ()

destroy the relative pointer manager object Used by the client to notify the server that it will no longer use this relative pointer manager object.

Definition at line 5996 of file wayland-server-protocol-unstable.cpp.

  std::function< void(zwp_relative_pointer_v1_t, pointer_t)> & zwp_relative_pointer_manager_v1_t::on_get_relative_pointer ()

get a relative pointer object

Parameters
    id
    pointer

Create a relative pointer interface given a wl_pointer object. See the wp_relative_pointer interface for more details.

Definition at line 6002 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post 'not enough memory' error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Author

Generated automatically by Doxygen for Wayland++ from the source code.